Apache C++ Standard Library Reference Guide

## divides

Library: General utilities

    Does not inherit

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A binary function object that returns the result of dividing its first argument by its second argument

### Synopsis

    #include <functional>

    namespace std {
      template <class T>
      struct divides;
    }

### Description

divides is a binary function object. Its `operator()` returns the quotient of the first argument divided by the second argument. You can pass a divides object to any algorithm that requires a binary function. For example, the `transform()` algorithm applies a binary operation to corresponding values in two collections and stores the result. The divides object would be used in that algorithm in the following manner:

    vector<int> vec1;
    vector<int> vec2;
    vector<int> vecResult;
    .
    .
    .
    transform(vec1.begin(), vec1.end(),
              vec2.begin(), vecResult.begin(),
              divides<int>());

After this call to `transform()`, `vecResult[n]` contains `vec1[n]` divided by `vec2[n]`.

### Interface

    namespace std {
      template <class T>
      struct divides : binary_function<T, T, T>
      {
         T operator() (const T&, const T&) const;
      };
    }

### See Also

binary_function, Function Objects

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.2